Subject: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: martin rudalics <[email-masked]>
Date: Thu, 11 Jan 2024 10:14:48 +0100

>>> Actually the problem is somewhere else because after dired revert
 >>> point is relocated to the top of the buffer even in non-selected windows
 >>> in window-configuration.  So trying to manually preserve point
 >>> in the selected window is not of much help.  Therefore I just
 >>> removed the special-handling of dired revert in master.
 >>
 >> Do you remember the bug this was supposed to fix?
 >
 > The dedicated bug report is this:
 >
 > bug#33871: Revert Dired window saved in window configuration
 >
 > Also something related was discussed in:
 >
 > bug#27243: dired-auto-revert-buffer jumps point to beginning of buffer
 > bug#33458: dired loses position when reverted from outside place
 >
 > and maybe more.

IIUC 'dired-save-positions' and 'dired-restore-positions' are supposed
to handle these bug scenarios in "normal" (user driven) dired reverting.
Do they?  If so, why does saving and restoring a window configuration
not use them?

martin